/*
 * Photo Image Print System
 * Copyright (C) SEIKO EPSON CORPORATION 2003-2004.
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * As a special exception, EPSON KOWA Corporation gives permission to
 * link the code of this program with libraries which are covered by
 * the EPSON KOWA PUBLIC LICENCE and distribute their linked
 * combinations.  You must obey the GNU General Public License in all
 * respects for all of the code used other than the libraries which
 * are covered by EPSON KOWA PUBLIC LICENCE.
 */
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifndef __OPT_RSC__
#define __OPT_RSC__

#include "pipsDef.h"


/* Inset Defult */
#define	PIPS_INKSET_DEFAULT PIPS_INKSET_CMYKcmDY

#ifndef	_ONLY_NEED_DEFAULT_

/* Option Entry */
char *inkEntry[] = {
        "COLOR", "MONO",
        NULL
};

char *binEntry[] = {
        "AUTO", "ROLL", "TROLL", "T4AUTO",
        NULL
};

/* ASF */
char *mediaSizeEntry[] = {
        "A4",     "A5",    "B5",        
        "LT",     "LGL",   "A6",    "PC",     "DPC",    "ENVC3",  "ENVC4",
        "ENVY1",  "ENVY2", "ENVY3", "ENVY4",
	"L",     "2L", 
        NULL
};

/* ROLL */
char *mediaSizeEntry_R[] = {
	"A4",     "A5",    "B5",    "A6",    "PC",    "DPC",  
	"4X6",    "L",     "LL",    "2L",    "NC",
        NULL
};

/* ROLL-Banner */
char *mediaSizeEntry_TR[] = {
	"A4",  "PC",  "4X6",  "L", "LL", "2L",  "NC",
        NULL
};

/* ASF-No Margin  */
char *mediaSizeEntry_NMA[] = {
	"A4",   "PC",  "L",  "2L", 
 	NULL
};


/* Ų椬ѤǤʤѻ */
char *mediaSizeReject[] = {
        "DPC", "ENVC3",  "ENVC4", "ENVY1", "ENVY2", "ENVY3", "ENVY4", "2L","LL",
	NULL
};


char *resolutionEntry[] = {
        "360", "720",
        NULL
};

char *mediaTypeEntry[] = {
        "PLAIN", "PLAIN_SILENT", "ESF",  "EPP", "EPP_SILENT",   "ERC", "PMMATT", "IJPC",
         "OHP",  "IRON", "MBOARD",
        NULL
};

char *colorModeEntry[] = {
       "AUTO", "PHOTO", "GRAPH", "NONE",
        NULL
};

char *halftoneEntry[] = {
        "ED",
        NULL
};

/* Added DRAFT */ 
char *levelEntry[] = {
        "DRAFT", "STD360", "FINE720", "SFINE720", "PHOTO1440", "PHOTO2880",  "SPHOTO2880",
        NULL
};

char *multiPageEntry[] = {
        "1", "2", "4",
        NULL
};

char *autoCutEntry[] = {
        "NONE",
        NULL
};


/* pModeCol     :       Color
   pModeMono    :       Monochrome

   MediaNumber  :       see pipsDef.h
   Input        :       1:120/180, 2:360, 4:720
   Halftone     :       <or> 1:ED 2:DB
   MicroWave    :       0:OFF 1:ON
   HighSpeed    :       0:OFF 1:ON 2:ON/OFF
   Quality      :       0xXXX
                          ||+---- at Input 1
                          |+----- at Input 2
                          +------ at Input 4
   Ink Change System
   InkSet       :       PM-980C Setting


*/
short pModeCol[] = {
        /* mediaName            Input           MicroWeave      InkSet		 	   	*/
        /* & MediaNumber                Halftone        HighSpeed 			Quality	*/
        /* PLAIN */
        PIPS_MED_PLAIN,         2,      1,      0,      1,      0,			0x0A0,
	PIPS_MED_PLAIN,         2,      1,      0,      2,      0,			0x020,
        PIPS_MED_PLAIN,         2,      1,      1,      2,      PIPS_INKSET_CMYKcmDY,	0x020,
        PIPS_MED_PLAIN,         4,      1,      1,      2,      0,			0x400,
	/* ESF */
	PIPS_MED_ESF,           6,      1,      1,      2,      0,			0x330,
	PIPS_MED_ESF,           4,      1,      1,      2,      0,			0x400,
	/* EPP */
        PIPS_MED_EPP,	        6,      1,      1,      2,      0,			0x330,
        PIPS_MED_EPP,	        4,      1,      1,      2,      0,			0x400,
        PIPS_MED_EPP,	        4,      1,      1,      2,      0,			0x500,
	PIPS_MED_EPP,	        4,      1,      1,      2,      0,			0x600,
        /* ERC */
	PIPS_MED_ERC,           4,      1,      1,      2,      0,			0x400,
	PIPS_MED_ERC,           4,      1,      1,      2,      0,			0x500,
	PIPS_MED_ERC,           4,      1,      1,      2,      0,			0x600,	    
        /* PMMATTE */
        PIPS_MED_MATT_HEAVY,    6,      1,      1,      2,      0,			0x330,
        PIPS_MED_MATT_HEAVY,    4,      1,      1,      2,      0,			0x400,
	PIPS_MED_MATT_HEAVY,    4,      1,      1,      2,      0,			0x500,
	PIPS_MED_MATT_HEAVY,    4,      1,      1,      2,      0,			0x600,
        /* IJPC */
        PIPS_MED_IJPC,  	6,      1,      1,      2,      0,			0x330,
        PIPS_MED_IJPC,  	4,      1,      1,      2,      0,			0x400,
        PIPS_MED_IJPC,  	4,      1,      1,      2,      0,			0x500,
	PIPS_MED_IJPC,  	4,      1,      1,      2,      0,			0x600,
	/* OHP */
	PIPS_MED_TRANSPARENCY,  4,      1,      1,      0,      0,			0x500,
	/* IRON */
	PIPS_MED_IRON_PRINT,    4,      1,      1,      0,      0,			0x400,
	/* MBOARD */
	PIPS_MED_MAT_BOARD,     4,      1,      1,      0,      0,			0x400,     
	-1
};

short pModeMono[] = {
        /* mediaName            Input           MicroWeave      InkSet		*/
        /* & MediaNumber                Halftone        HighSpeed       Quality	*/
        /* PLAIN */
        PIPS_MED_PLAIN,         2,      1,      0,      1,      0,	0x0A0,
	PIPS_MED_PLAIN,         2,      1,      0,      2,      0,	0x020,
        PIPS_MED_PLAIN,         2,      1,      1,      2,     -1,	0x020,
        PIPS_MED_PLAIN,         4,      1,      1,      2,      0,	0x400,
	/* ESF */
	PIPS_MED_ESF,           6,      1,      1,      2,      0,	0x330,
	PIPS_MED_ESF,           4,      1,      1,      2,      0,	0x400,
	/* EPP */
        PIPS_MED_EPP,	        6,      1,      1,      2,      0,	0x330,
        PIPS_MED_EPP,	        4,      1,      1,      2,      0,	0x400,
        PIPS_MED_EPP,	        4,      1,      1,      2,      0,	0x500,
	PIPS_MED_EPP,	        4,      1,      1,      2,      0,	0x600,
        /* ERC */
	PIPS_MED_ERC,            4,      1,      1,      2,     0,	0x400,
	PIPS_MED_ERC,            4,      1,      1,      2,     0,	0x500,
	PIPS_MED_ERC,            4,      1,      1,      2,     0,	0x600,	    
        /* PMMATTE */
        PIPS_MED_MATT_HEAVY,    6,      1,      1,      2,      0,	0x330,
        PIPS_MED_MATT_HEAVY,    4,      1,      1,      2,      0,	0x400,
	PIPS_MED_MATT_HEAVY,    4,      1,      1,      2,      0,	0x500,
	PIPS_MED_MATT_HEAVY,    4,      1,      1,      2,      0,	0x600,
        /* IJPC */
        PIPS_MED_IJPC,  	6,      1,      1,      2,      0,	0x330,
        PIPS_MED_IJPC,  	4,      1,      1,      2,      0,	0x400,
        PIPS_MED_IJPC,  	4,      1,      1,      2,      0,	0x500,
	PIPS_MED_IJPC,  	4,      1,      1,      2,      0,	0x600,
	/* OHP */
	PIPS_MED_TRANSPARENCY,  4,      1,      1,      0,      0,	0x500,
	/* IRON */
	PIPS_MED_IRON_PRINT,    4,      1,      1,      0,      0,	0x400,
	/* MBOARD */
	PIPS_MED_MAT_BOARD,     4,      1,      1,      0,      0,	0x400,  
	-1
};


/* ξˤꡢ⡼ɼΤѹɬפȤʤ˻Ѥ롣
   äformat¸ߤʤʲϴ˵¸εҤǤꡢ¾ε
   Ȥθߴ̵*/

/* Bin="T4AUTO" ̵ˤʤ⡼ID (color,black )*/
#define CHECK_PECULIAR_ALL
short de_param_mode_list[6][21] = { /* 21 = mode+1 */
	/* AUTO */
	{-1},
	/* ROLL */
	{0, -1},
	/* TROLL */
	{0, -1},
	/* TAUTO */
	{-1},
	/* T4AUTO */
	{0, 21,22,23, -1},
	/* EXAUTO */
	{-1}
};

#endif /* _ONLY_NEED_DEFAULT_ */

#endif /* __OPT_RSC__ */

